/* smp.h: This file is the main header file for the Solarmax proxy.
 * Version: 0.1
 * Author: Axel C. Voigt
 * Date:  October 26, 2009
 */

#ifndef SMP_GENERAL_H
#define SMP_GENERAL_H

#ifdef __cplusplus
  extern "C" {
#endif

#define MAX_UNITS 10

typedef struct {
	unsigned short adr;
//	unsigned char fw[13];
	unsigned char ser[13];
	int typ;            /* NTx000 */
	int ver;            /* version e.g. NT850V */
	unsigned char dyr;  /* Jahr (9) */
	unsigned char dmt;  /* Monat */
	unsigned char ddy;  /* Tag */
	unsigned char thr;  /* Stunde */
	unsigned char tmi;  /* Minute */
	double pac;
	double kyr;
	double kmt;
	double kdy;
	double kt0;
	double prl;
	unsigned int udc;
	double ul1;
	double idc;
	double il1;
//	double tkk;
//	unsigned char swv;
	unsigned long sys;
	int pp;
	unsigned long sal;
	unsigned char err;
} solarmax_data;

# ifdef __cplusplus
	}
# endif
#endif /* #ifndef SMP_GENERAL_H */
