/* sm_func.h: This file is the Solarmax functions header file for the Solarmax proxy.
 *  Version: 0.1
 *  Authors: Axel C. Voigt
 *  Date:    October 26, 2009
 */

#ifndef SMP_SMFUNC_H
#define SMP_SMFUNC_H

#ifdef __cplusplus
  extern "C" {
#endif

#include "sockets.h"
#include "smp.h"

/* functions */
char* PrepareAnswer(int num, unsigned char* invadr, unsigned char* masteradr, solarmax_data* smdata, unsigned char* answer);
int CheckCommand(Socket* skt, unsigned char* invadr, unsigned char* masteradr, unsigned char* msglen, unsigned char* data);

# ifdef __cplusplus
	}
# endif
#endif /* #ifndef SMP_SMFUNC_H */
