/* comm_func.h: This file is the communication functions header file for 
 * the Solarmax proxy.
 * Version: 0.1
 * Authors: Axel C. Voigt
 * Date:    October 26, 2009
 */
#ifndef SMP_COMMFUNC_H
#define SMP_COMMFUNC_H

#ifdef __cplusplus
  extern "C" {
#endif

#include "sockets.h"

Socket* comm_connect (char* host, int port);
void comm_disconnect (Socket* skt);
int comm_request (Socket* skt, short adr, short cmd, short blck, unsigned char* ans, short timeout);

# ifdef __cplusplus
	}
# endif
#endif /* #ifndef SMP_COMMFUNC_H */
