/* inv_func.h: This file is the abstract inverter functions header file for 
 * the Solarmax proxy.
 * Version: 0.1
 * Authors: Axel C. Voigt
 * Date:    October 26, 2009
 */
#ifndef SMP_INVFUNC_H
#define SMP_INVFUNC_H

#ifdef __cplusplus
  extern "C" {
#endif

#include "sockets.h"
#include "smp.h"

/* functions */
int scanInverters (Socket* skt, int max);
int setTime (Socket* skt);
int getValues (Socket* skt, int num);
char* getModelStr (int model, char* str);
void setInverterType (int);

# ifdef __cplusplus
	}
# endif
#endif /* #ifndef SMP_INVFUNC_H */
