/* comm_func.c: This file contains the communication functions for the 
 * Solarmax proxy.
 * Version: 0.1
 * Authors: Axel C. Voigt
 * Date: October 26, 2009
 */

#include "comm_func.h"
#include "sw_func.h"

extern int debug;
extern FILE* logfp;

/* ------------------------------------------------------------------------- */
/* comm_connect                                                              */
/* ------------------------------------------------------------------------- */
Socket* comm_connect(char* host, int port)
{
	char h[255];
	char p[255];
	Socket* s= NULL;

	sprintf(h, "@%s", host);
	sprintf(p, "c%d", port);

	s= Sopen(h,p);
	if( !s ) return NULL;

	return s;
}
/* ----- comm_connect ------------------------------------------------------ */

/* ------------------------------------------------------------------------- */
/* comm_disconnect                                                           */
/* ------------------------------------------------------------------------- */
void comm_disconnect(Socket* skt)
{
	Sclose(skt);
	skt= NULL;
}
/* ----- comm_disconnect --------------------------------------------------- */